Package com.ocient.jdbc.proto

# Interface PlanProtocol.OrderedGatherOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.OrderedGatherOperator`, `PlanProtocol.OrderedGatherOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.OrderedGatherOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `getDirections​(int index)` | The directions for each sort col - true = ascending
`int` | `getDirectionsCount()` | The directions for each sort col - true = ascending
`List<Boolean>` | `getDirectionsList()` | The directions for each sort col - true = ascending
`PlanProtocol.GatherLevel` | `getLevel()` | `.xg.db.sqlPlans.GatherLevel level = 3;`
`int` | `getLevelValue()` | `.xg.db.sqlPlans.GatherLevel level = 3;`
`String` | `getSortKeys​(int index)` | The sort columns - order matters
`com.google.protobuf.ByteString` | `getSortKeysBytes​(int index)` | The sort columns - order matters
`int` | `getSortKeysCount()` | The sort columns - order matters
`List<String>` | `getSortKeysList()` | The sort columns - order matters

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getSortKeysList

List<String> getSortKeysList()

    The sort columns - order matters

`repeated string sortKeys = 1;`

### getSortKeysCount

int getSortKeysCount()

    The sort columns - order matters

`repeated string sortKeys = 1;`

### getSortKeys

String getSortKeys​(int index)

    The sort columns - order matters

`repeated string sortKeys = 1;`

### getSortKeysBytes

com.google.protobuf.ByteString getSortKeysBytes​(int index)

    The sort columns - order matters

`repeated string sortKeys = 1;`

### getDirectionsList

List<Boolean> getDirectionsList()

    The directions for each sort col - true = ascending

`repeated bool directions = 2;`

### getDirectionsCount

int getDirectionsCount()

    The directions for each sort col - true = ascending

`repeated bool directions = 2;`

### getDirections

boolean getDirections​(int index)

    The directions for each sort col - true = ascending

`repeated bool directions = 2;`

### getLevelValue

int getLevelValue()
`.xg.db.sqlPlans.GatherLevel level = 3;`

### getLevel

PlanProtocol.GatherLevel getLevel()
`.xg.db.sqlPlans.GatherLevel level = 3;`